#
# WebSphere Specific variables
# Change these variables where applicable
# Here we pass arguments to WSCP and execute wcsp with out being inside the command line
# of WSCP
#

maven.was40.wscpArgs=-c
maven.was40.home=C:/WebSphere/AppServer
maven.was40.bin=${maven.was40.home}/bin
maven.was40.wscpExe=${maven.was40.bin}/wscp
maven.was40.enterprise.app=EnterpriseApp
maven.was40.enterprise.app.name=EnterpriseAppName
maven.was40.appserver=Default\ Server
maven.was40.serverGroup.name=ServerGroupName
maven.was40.node=NodeName

#
# Repetitive commands
#
maven.was40.cmd.enterprise=EnterpriseApp
maven.was40.cmd.serverGroup=ServerGroup
maven.was40.cmd.appserver=ApplicationServer
maven.was40.cmd.node=Node

#
# WebSphere Command Prompt commands to execute
# Note the '^' is a DOS escape operator:  i.e: Default^ Server
# Note the '\' is a UNIX escape operator: i.e: Default\ Server
# Please seperate a space in any given server name by '\' operator as shown above
#

############################### Do not put these in "Quotes" ###############################

#
# Node specific actions
#

maven.was40.listNode=${maven.was40.cmd.node} list
maven.was40.stopNode=${maven.was40.cmd.node} stop {/${maven.was40.cmd.node}:${maven.was40.node}/}
maven.was40.startNode=${maven.was40.bin}/startupServer

#
# Application specific actions
#

maven.was40.deployApp=${maven.was40.cmd.enterprise} install {/${maven.was40.cmd.node}:${maven.was40.node}/} ${maven.was40.enterprise.app} -appname {${maven.was40.enterprise.app.name}} -defappserver {/${maven.was40.cmd.node}:${maven.was40.node}/${maven.was40.cmd.appserver}:${maven.was40.appserver}/}
maven.was40.removeApp=${maven.was40.cmd.enterprise} remove {/${maven.was40.cmd.enterprise}:${maven.was40.enterprise.app.name}/} -recursive
maven.was40.startApp=${maven.was40.cmd.enterprise} start {/${maven.was40.cmd.enterprise}:${maven.was40.enterprise.app.name}/}
maven.was40.stopApp=${maven.was40.cmd.enterprise} stop {/${maven.was40.cmd.enterprise}:${maven.was40.enterprise.app.name}/} -force

#
# Application Server specific tasks
#

maven.was40.appserver.start=${maven.was40.cmd.appserver} start {/${maven.was40.cmd.node}:${maven.was40.node}/${maven.was40.cmd.appserver}:${maven.was40.appserver}/}
maven.was40.appserver.stop=${maven.was40.cmd.appserver} stop {/${maven.was40.cmd.node}:${maven.was40.node}/${maven.was40.cmd.appserver}:${maven.was40.appserver}/}

#
# Server Group specific tasks
#

maven.was40.servergroup.install=${maven.was40.cmd.enterprise} install {/${maven.was40.cmd.node}:${maven.was40.node}/} ${maven.was40.enterprise.app} -appname {${maven.was40.enterprise.app.name}} -defappserver {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}
maven.was40.servergroup.start=${maven.was40.cmd.serverGroup} start {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}
maven.was40.servergroup.stop=${maven.was40.cmd.serverGroup} stop {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}
maven.was40.servergroup.list=${maven.was40.cmd.serverGroup} list
maven.was40.servergroup.show=${maven.was40.cmd.serverGroup} show {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}

############################### Do not put these in "Quotes" ###############################

